Skip to main content
GET
The T&C appraisal notes: the papers a manager's IT purchase is appraised on before it is bought, a row per note, each…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
tc_no
string
created_at
string
updated_at
string
category_master_id
string
category_name
string
site_id
string
site_name
string
location_id
string
location_name
string
item_type
string
manager_name
string
manager_location_id
string
manager_location_name
string
emp_code
string
grade
string
currency_id
string
item_count
string
gross_total
string
gst_total
string
net_total
string
note_status
string
note_status_reason
string
note_decided_at
string
note_standing
string
request_id
string
request_display_status
string
last_approved_by_user_id
string
last_approved_by_name
string
last_approved_at
string
created_by_id
string
created_by_name
string
created_source
string
updated_by_id
string
updated_by_name
string
note_needs
string
may_edit
string
may_send
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

category_master_id
string<uuid>

Note: This is a Foreign Key to capex_budget_categories.id.

category_name
string<character varying>
Maximum string length: 150
created_at
string<timestamp with time zone>
created_by_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

created_by_name
string<character varying>
Maximum string length: 200
created_source
string<text>
currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

emp_code
string<character varying>
Maximum string length: 10
grade
string<character varying>
Maximum string length: 100
gross_total
number<numeric>
gst_total
number<numeric>
id
string<uuid>

Note: This is a Primary Key.

item_count
integer<bigint>
item_type
string<character varying>
Maximum string length: 16
last_approved_at
string<timestamp with time zone>
last_approved_by_name
string<character varying>
Maximum string length: 200
last_approved_by_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

location_id
string<uuid>
location_name
string<character varying>
Maximum string length: 200
manager_location_id
string<uuid>

Note: This is a Foreign Key to capex_budget_categories.id.

manager_location_name
string<character varying>
Maximum string length: 150
manager_name
string<character varying>
Maximum string length: 100
may_edit
boolean<boolean>
may_send
boolean<boolean>
net_total
number<numeric>
note_decided_at
string<timestamp with time zone>
note_needs
string[]
note_standing
string<text>
note_status
string<character varying>
Maximum string length: 16
note_status_reason
string<text>
request_display_status
string<text>
request_id
string<uuid>
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
tc_no
string<character varying>
Maximum string length: 60
updated_at
string<timestamp with time zone>
updated_by_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

updated_by_name
string<character varying>
Maximum string length: 200